# Ping_Socket.cpp File Reference

`#include "ace/Ping_Socket.h"`
`#include "ace/INET_Addr.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/OS_NS_sys_time.h"`
`#include "ace/OS_NS_sys_socket.h"`

Include dependency graph for Ping_Socket.cpp:

## Classes

struct | ip
struct | icmp

## Defines

#define | ICMP_ECHO 8
#define | ICMP_ECHOREPLY 0

## Variables

ACE_BEGIN_VERSIONED_NAMESPACE_DECL int const | ICMP_MIN = 8
int const | ICMP_DATA_LENGTH = 56

## Define Documentation

#define ICMP_ECHO 8

#define ICMP_ECHOREPLY 0

## Variable Documentation

int const ICMP_DATA_LENGTH = 56

ACE_BEGIN_VERSIONED_NAMESPACE_DECL int const ICMP_MIN = 8